tigase.conf

## Enum MonitoringSetupIfc.MONITOR

- java.lang.Object
- - java.lang.Enum<MonitoringSetupIfc.MONITOR>
  - - tigase.conf.MonitoringSetupIfc.MONITOR

- All Implemented Interfaces:
    Serializable, Comparable<MonitoringSetupIfc.MONITOR>
  Enclosing interface:
    MonitoringSetupIfc

      public static enum MonitoringSetupIfc.MONITOR
      extends Enum<MonitoringSetupIfc.MONITOR>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `http`
    `jmx`
    `snmp`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MonitoringSetupIfc.MONITOR` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MonitoringSetupIfc.MONITOR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### jmx

          public static final MonitoringSetupIfc.MONITOR jmx

    - #### http

          public static final MonitoringSetupIfc.MONITOR http

    - #### snmp

          public static final MonitoringSetupIfc.MONITOR snmp

  - ### Method Detail

    - #### values

          public static MonitoringSetupIfc.MONITOR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonitoringSetupIfc.MONITOR c : MonitoringSetupIfc.MONITOR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonitoringSetupIfc.MONITOR valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.